fix dev-setup.sh script
Description

When we had talked about removing dev-setup.sh | had forgotten that Vagrant will only work for developers who are working on
physical hosts with virtualization extensions. Since some developers may use Openstack or EC2 for development, there may[0] still
be a place for a dev-setup.sh script.

It's been reported by igulina that our dev-setup.sh script fails in some way (I am not sure what the issue is). We should fix the
dev-setup.sh script so that it works again.

It would be wise to also refactor it so that it uses the same Ansible code that is used by Vagrant so we can benefit from some code
sharing. The dev-setup.sh script does do a little more than the Vagrant setup so it will still need to be a separate thing, but if we can
get it down to just checking out the code and calling Ansible that would be a win, and would decrease the chance of future breakage.

[0] I say "may", because technically | think Vagrant can also provision EC2 and Openstack environments, though our current
implementation of the Vagrantfile does not support this.

Associated revisions

Revision 9¢88c731 - 08/17/2015 09:45 PM - rbarlow

Rework the dev-setup.sh script to use Ansible.
This commit reworks the dev-setup.sh script to use the same code that Vagrant uses to provision the dev box.

https://pulp.plan.io/issues/1137

fixes #1137

Revision 9¢88c731 - 08/17/2015 09:45 PM - rbarlow

Rework the dev-setup.sh script to use Ansible.

This commit reworks the dev-setup.sh script to use the same code that Vagrant uses to provision the dev box.

https://pulp.plan.io/issues/1137

fixes #1137

History

#1 -07/17/2015 06:53 PM - rbarlow

- Subject changed from remove dev-setup.sh script and relevant docs to fix dev-setup.sh script

#2 - 07/17/2015 06:54 PM - rbarlow

- Description updated

#3 - 07/21/2015 11:46 AM - igulina@redhat.com
So far testing docs [1] on RHEL7 | faced several issues:
1) Add to the docs [1] that Extras should be enabled on RHEL?7, otherwise a command
curl -0 https://raw.githubusercontent.com/pulp/pulp/master/playpen/dev-setup.sh && bash -e dev-setup.sh
fails with
-—> Finished Dependency Resolution
Error: Package: python-mongoengine-0.8.4-3.el7.noarch (epel)
Requires: python-blinker
You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

[1] https://github.com/pulp/pulp/blob/master/docs/dev-guide/contributing/dev_setup.rst#provisioning-script

This issue was also mentioned here #1024

2)
After enabling EXTRAS:

Loaded plugin docker_distributor_export for types: docker_image
Loaded plugin openstack_distributor_web for types: openstack_image
Applying migration pulp_rpm.plugins.migrations.0016_new_yum_distributor failed.

Halting migrations due to a migration failure.
No module named keystoneclient.v2_0.client
Traceback (most recent call last):
File "/home/ec2-user/devel/pulp/server/pulp/server/db/manage.py", line 144, in main
return _auto_manage_db (options)
File "/home/ec2-user/devel/pulp/server/pulp/server/db/manage.py", line 205, in _auto_manage_db
migrate_database (options)
File "/home/ec2-user/devel/pulp/server/pulp/server/db/manage.py", line 94, in migrate_database
update_current_version=not options.test)
File "/home/ec2-user/devel/pulp/server/pulp/server/db/migrate/models.py", line 157, in apply_migration
migration.migrate ()
File "/home/ec2-user/devel/pulp_rpm/plugins/pulp_rpm/plugins/migrations/0016_new_yum_distributor.py", line 4
2, in migrate
api.initialize ()
File "/home/ec2-user/devel/pulp/server/pulp/plugins/loader/api.py", line 55, in initialize
loading.load_plugins_from_entry_point (*entry_point)
File "/home/ec2-user/devel/pulp/server/pulp/plugins/loader/loading.py", line 60, in load_plugins_from_entry_
point
cls, cfg = entry_point.load() ()
File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2260, in load
entry = __import__ (self.module_name, globals(),globals(), ['__name__'])
File "/home/ec2-user/devel/pulp_openstack/plugins/pulp_openstack/plugins/distributors/distributor_glance.py"
, line 10, in <module>
from pulp_openstack.plugins.distributors.glance_publish_steps import GlancePublisher
File "/home/ec2-user/devel/pulp_openstack/plugins/pulp_openstack/plugins/distributors/glance_publish_steps.p
y", line 8, in <module>
from pulp_openstack.common import openstack_utils
File "/home/ec2-user/devel/pulp_openstack/common/pulp_openstack/common/openstack_utils.py", line 3, in <modu
le>
import keystoneclient.v2_0.client as ksclient
ImportError: No module named keystoneclient.v2_0.client

3)
If in /etc/yum.repos.d/rhel-pulp.repo | have

Version 2.x Production Releases

[pulp-2-stable]

name=Pulp 2 Production Releases
baseurl=https://repos.fedorapeople.org/repos/pulp/pulp/stable/2/Sreleasever/S$basearch/
enabled=1

skip_if_unavailable=1

gpgcheck=1

gpgkey=https://repos.fedorapeople.org/repos/pulp/pulp/GPG-RPM-KEY-pulp-2

Then | have an error:
>> sudo yum install @pulp-server-gpid @pulp-admin @pulp-consumer

——> Finished Dependency Resolution
Error: Package: python-pulp-bindings-2.6.2-1.el7.noarch (pulp-2-stable)
Requires: python-oauth2 >= 1.5.170-2.pulp

Error: Package: python-webpy-0.37-3.el7.nocarch (pulp-2-stable)
Requires: python-cherrypy

Error: Package: python-mongoengine-0.7.10-2.el7.noarch (pulp-2-stable)
Requires: python-pymongo-gridfs

Error: Package: python-pulp-client-1ib-2.6.2-1.el7.noarch (pulp-2-stable)
Requires: python-okaara >= 1.0.32

Error: Package: pulp-rpm-plugins-2.6.2-1.el7.noarch (pulp-2-stable)
Requires: createrepo_c >= 0.4.1-1

Error: Package: python-celery-3.1.11-1.el7.noarch (pulp-2-stable)
Requires: python-anyjson

Error: Package: pulp-server-2.6.2-1l.el7.noarch (pulp-2-stable)
Requires: python-httplib2

Error: Package: l:python-kombu-3.0.24-7.pulp.el7.noarch (pulp-2-stable)
Requires: python-anyjson >= 0.3.3

Error: Package: python-mongoengine-0.7.10-2.el7.noarch (pulp-2-stable)
Requires: python-pymongo >= 2.1.1

Error: Package: pulp-server-2.6.2-1l.el7.noarch (pulp-2-stable)
Requires: python-oauth2 >= 1.5.211

Error: Package: pulp-server-2.6.2-1l.el7.noarch (pulp-2-stable)
Requires: python-pymongo >= 2.5.2

You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

4) If instead | have 2.6-testing enabled, there is an error:
>> sudo yum install @pulp-server-gpid @pulp-admin @pulp-consumer

——> Finished Dependency Resolution

Error: Package: python-mongoengine-0.7.10-2.el7.noarch (pulp-2.6-beta)
Requires: python-pymongo-gridfs

Error: Package: python-mongoengine-0.7.10-2.el7.noarch (pulp-2.6-beta)
Requires: python-pymongo >= 2.1.1

Error: Package: pulp-server-2.6.3-0.2.beta.el7.nocarch (pulp-2.6-beta)
Requires: python-httplib2

Error: Package: python-webpy-0.37-3.el7.nocarch (pulp-2.6-beta)
Requires: python-cherrypy

Error: Package: python-celery-3.1.11-1.el7.noarch (pulp-2.6-beta)
Requires: python-anyjson

Error: Package: l:python-kombu-3.0.24-8.pulp.el7.noarch (pulp-2.6-beta)
Requires: python-anyjson >= 0.3.3

Error: Package: python-pulp-client-1ib-2.6.3-0.2.beta.el7.noarch (pulp-2.6-beta)

Requires: python-okaara >= 1.0.32
Error: Package: pulp-server-2.6.3-0.2.beta.el7.nocarch (pulp-2.6-beta)
Requires: python-ocauth2 >= 1.5.211
Error: Package: pulp-rpm-plugins-2.6.3-0.2.beta.el7.noarch (pulp-2.6-beta)
Requires: createrepo_c >= 0.4.1-1
Error: Package: pulp-server-2.6.3-0.2.beta.el7.nocarch (pulp-2.6-beta)
Requires: python-pymongo >= 2.5.2
Error: Package: python-pulp-bindings-2.6.3-0.2.beta.el7.noarch (pulp-2.6-beta)
Requires: python-ocauth2 >= 1.5.170-2.pulp
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

5) If | enable 2.7, it's the same:
-—> Finished Dependency Resolution

Error: Package: pulp-server-2.7.0-0.4.beta.el7.nocarch (pulp-2.7-beta)
Requires: python-oauth2 >= 1.5.211

Error: Package: python-pulp-client-1ib-2.7.0-0.4.beta.el7.noarch (pulp-2.7-beta)

Requires: python-okaara >= 1.0.32
Error: Package: pulp-rpm-plugins-2.7.0-0.4.beta.el7.noarch (pulp-2.7-beta)
Requires: createrepo_c >= 0.4.1-1
Error: Package: l:python-kombu-3.0.24-8.pulp.el7.noarch (pulp-2.7-beta)
Requires: python-anyjson >= 0.3.3
Error: Package: pulp-server-2.7.0-0.4.beta.el7.nocarch (pulp-2.7-beta)
Requires: python-httplib2
Error: Package: python-celery-3.1.11-1.el7.noarch (pulp-2.7-beta)
Requires: python-anyjson
Error: Package: pulp-server-2.7.0-0.4.beta.el7.nocarch (pulp-2.7-beta)
Requires: python-django >= 1.4.0
Error: Package: python-pulp-bindings-2.7.0-0.4.beta.el7.noarch (pulp-2.7-beta)
Requires: python-oauth2 >= 1.5.170-2.pulp
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
| used https://repos.fedorapeople.org/repos/pulp/pulp/rhel-pulp.repo.
Extras and Optional were enabled.

#4 - 07/21/2015 05:21 PM - igulina@redhat.com

The were no issues 3, 4, 5 on F20.

#5 - 07/24/2015 04:20 PM - mhrivnak
- Severity changed from 2. Medium to 1. Low

- Triaged changed from No to Yes

#6 - 08/14/2015 07:19 PM - rbarlow
- Status changed from NEW to ASSIGNED
- Assignee set to rbarlow

- Version set to Master

#7 - 08/17/2015 10:23 PM - rbarlow
- Status changed from ASSIGNED to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp|9c¢88c731ccf0dc7b19da637e550e5616da8eb413.

#8 - 09/14/2015 08:29 PM - rbarlow

- Platform Release set to master

#9 - 11/12/2015 04:50 PM - rbarlow

- Platform Release changed from master to 2.8.0

#10 - 02/23/2016 09:56 PM - dkliban@redhat.com
- Status changed from MODIFIED to 5

#11 - 03/02/2016 10:03 PM - rbarlow
- Status changed from 5 to 6

| can testify that this script works.

#13 - 03/23/2016 07:47 PM - dkliban@redhat.com
- Status changed from 6 to CLOSED - CURRENTRELEASE

#15 - 04/15/2019 10:45 PM - bmbouter
- Tags Pulp 2 added
